<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<body>

<th:block th:fragment="item(category, skills, skillRates)">
    <div th:with="categorySkills=${skills.get(category)}">
        <ul class="skillBox" th:classappend="${category.toString().toLowerCase()}">
            <form method="post" th:action="${'/profile/' + category.toString().toLowerCase() + '/save'}">
                <div class="row profileCategoryName">
                    <th:block th:text="#{${'category.' + category.name().toLowerCase()}}"/>
                </div>
                <th:block th:each="skill, i: ${categorySkills}">

                    <li class="profileSkill">

                        <div class="row">
                            <div class="col-xs-5 skillName">
                                <a th:href="${'/academy/course/' + skill.id}"
                                   th:text="#{${'skill.' + skill.code.toLowerCase()}}"></a>
                            </div>
                            <div class="col-xs-7" th:with="rateValue=${skillRates?.get(skill.code) ?: 0}">
                                <div class="row">
                                    <div class="col-xs-10">
                                        <input th:id="${'userSlider' + skill.code}" data-slider-id='userSlider'
                                               th:class="userProfileSlider"
                                               type="text" data-slider-min="0" data-slider-max="10" data-slider-step="1"
                                               data-slider-tooltip="hide" th:name="${skill.code}"/>
                                    </div>
                                    <div class="col-xs-2 sliderValueWrapper">
                                        <span th:id="${'userSliderValue' + skill.code}">
                                            <th:block th:text="${rateValue}"/>
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </li>
                </th:block>
                <button th:id="${category.toString().toLowerCase() + 'SaveButton'}" type="submit"
                        class="btn btn-block mainBackgroundColor profileSaveButton" style="display: none"
                        th:text="#{profile.button.save}">
                </button>
            </form>

        </ul>
    </div>
</th:block>

</body>
</html>